import * as THREE from 'three';

export default class ClickBall {
    constructor(scene, camera, pos_x, pos_y, pos_z){
        this.mesh = new THREE.Mesh(
            new THREE.SphereGeometry(2, 12, 12),
            new THREE.MeshStandardMaterial({
                //color: 0x034eaf,
                roughness: 0.3,
                metalness: 0
            })
        );
        console.log(this.mesh.position);
        //this.mesh.position.set(new THREE.Vector3(pos_x, pos_y, pos_z));
        this.mesh.position.set(pos_x, pos_y, pos_z);
        console.log(this.mesh.position);
        scene.add(this.mesh);

        this.camera = camera;
    }

    setPosition(position){
        console.log(this.mesh.position);
        this.mesh.position.set(position);
        console.log(this.mesh.position);
    }
}